.node {
    -webkit-box-shadow: 5px 5px 9px -3px lightgrey; 
    box-shadow: 5px 5px 9px -3px lightgrey;
    border: solid 1px black;

    position: absolute;
    width: 300px;
    height: 100px;
    top: 300px;
    left: 20px;
}

.node-parent-connection-container {
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    left: -12px;
    position: relative;
    top: -12px;
}

.node-top-container {
    display: flex; 
    justify-content: space-between; 
    padding: 5px;
}

.node-id {
    font-size: 1.5em; 
    font-weight: bold;
}

.node-name-container {
    display: flex;
    justify-content: center; 
    margin-top: 10px;
}

.node-content-offset {
    position: relative;
    top: -24px;
}

.tool-box {
    position: absolute; 
    right: 10px; 
    top: 100px; 
    z-index: 100;
}

.parent-node-icon:hover {
    color: blue !important;
    cursor: pointer;
}

.success-node-icon:hover {
    color: blue !important;
    cursor: pointer;
}

.failure-node-icon:hover {
    color: blue !important;
    cursor: pointer;
}

.parent-node-icon, .success-node-icon, .failure-node-icon {
    z-index: 50;
}

.node-name {
    font-size: 1.75em; 
    font-weight: bold;
}

.node.clone {
    display: none !important;
}

.node .actions-container .icon:hover {
    cursor: pointer;
}

.node .icon-margin {
    margin-right: 7px;
}